#ifndef _CTC_INTR_H_
#define _CTC_INTR_H_

#include "typedef.h"

typedef enum _tagCtcCalIntID
{
	CTC_CAL_INT_APE0 = 364,
	CTC_CAL_INT_APE1,
	CTC_CAL_INT_APE2,
	CTC_CAL_INT_APE3,
	CTC_CAL_INT_APE4,
	CTC_CAL_INT_APE5,
	CTC_CAL_INT_APE6,
	CTC_CAL_INT_APE7,
	CTC_CAL_INT_PT_RFM0,
	CTC_CAL_INT_PT_RFM1, 
	CTC_CAL_INT_ECS_RFM0,
	CTC_CAL_INT_ECS_RFM1 
}CtcCalIntID;

int32_t ctc_cal_intr_init(void);

int32_t set_ctc_cal_int(int32_t dstCore);

void isr_ctc_cal(void);

#endif

